org.apache.ignite.internal.processors.metric.impl

## Class LongAdderWithDelegateMetric

- java.lang.Object
- - org.apache.ignite.internal.processors.metric.AbstractMetric
  - - org.apache.ignite.internal.processors.metric.impl.LongAdderMetric
    - - org.apache.ignite.internal.processors.metric.impl.LongAdderWithDelegateMetric

All Implemented Interfaces:
  LongMetric, Metric

    public class LongAdderWithDelegateMetric
    extends LongAdderMetric

Long metric implementation based on `LongAdder` with `delegate`.

### Constructor Summary

Constructors
Constructor and Description
`LongAdderWithDelegateMetric(String name, LongConsumer delegate, @Nullable String descr)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(long x)` Adds x to the metric.

### Methods inherited from class org.apache.ignite.internal.processors.metric.impl.LongAdderMetric

`decrement, increment, reset, value`

### Methods inherited from class org.apache.ignite.internal.processors.metric.AbstractMetric

`description, equals, hashCode, name`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.spi.metric.LongMetric

`getAsString`

### Methods inherited from interface org.apache.ignite.spi.metric.Metric

`description, name`

### Constructor Detail

#### LongAdderWithDelegateMetric

    public LongAdderWithDelegateMetric(String name,
                                       LongConsumer delegate,
                                       @Nullable
                                       @Nullable String descr)

Parameters:
  `name` - Name.
  `delegate` - Delegate to which all updates from new metric will be delegated to.
  `descr` - Description.

### Method Detail

#### add

    public void add(long x)

Adds x to the metric.

Overrides:
  `add` in class `LongAdderMetric`
Parameters:
  `x` - Value to be added.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020